{% if total > limit %}
    <nav aria-label="pagination">
        <ul class="pagination">
            {% if currentPage is not same as (1) %}
                <li><a class="page" data-page="{{ currentPage - 1 }}">«</a></li>                  
            {% endif %}

            {% for i in 1..pageCount %}
                {# Current page to show #}
                {% if currentPage == i %}
                    <li>{{ i }}</li>
                {# Show "..." before current page depending on page numbers to show before #}
                {% elseif (i < currentPage and 1 != i) and (i == currentPage - pagesAround - 1) %}
                    <li>...</li>
                {# Show "..." after current page depending on page numbers to show after #}
                {% elseif (i > currentPage and pageCount != i) and (i == currentPage + pagesAround + 1) %}
                    <li>...</li>
                {# Show pages around the current page #}
                {% elseif i == 1 or i == pageCount or (i > currentPage - pagesAround and i < currentPage + pagesAround) %}
                    <li><a class="page" data-page="{{ i }}" href="">{{ i }}</a></li>
                {% endif %}
            {% endfor %}
            
            {% if currentPage is not same as (pageCount) %}
                <li><a class="page" data-page="{{ currentPage + 1 }}" href="">»</a></li>
            {% endif %}
        </ul>
    </nav>    
{% endif %}